Make a sale transaction with the API

Learn how to authorize and capture a sales transaction in one step using the API
View as MarkdownOpen in Claude
Applies to:Developers

This guide explains how to make a sale (a money in payment transaction) with the Payabli API. This method authorizes and captures a payment in one step, so when a transaction is submitted, it’s immediately captured for settlement.

If aren’t using a stored payment method provided by an embedded component to run transactions, you must secure cardholder, bank account data, and customer IP address because your PCI scope is expanded.

To make a sale transaction, send a POST request to the Make a transaction endpoint (/api/v2/MoneyIn/getpaid). This endpoint processes payments for all payment methods, including credit cards, ACH, stored methods, cash, check, cloud, and semi-integrated device payments.

The request requires several parameters, which can depend on the payment method used. The following are required for all payment methods:

  • entryPoint The ID of the paypoint making the sale
  • paymentMethod: Information about the payment method
  • paymentDetails Information about the payment itself
  • customerData Information about the customer

Although not required, we strongly recommend passing the ipaddress parameter. This is used for risk analysis and fraud prevention.

For a full list of available parameters, see the API references.

Examples

Each of these examples runs a transaction for $100, with no service fee, for entrypoint f743aed24a and customer ID 4440. The only difference in each example is the payment method used.

Requests

The Card payment method is used for credit and debit card payments.

POST
/api/v2/MoneyIn/getpaid
curl -X POST https://api-sandbox.payabli.com/api/v2/MoneyIn/getpaid \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"paymentDetails": {
"totalAmount": 100,
"serviceFee": 0
},
"paymentMethod": {
"cardHolder": "John Cassian",
"cardcvv": "999",
"cardexp": "02/27",
"cardnumber": "4111111111111111",
"cardzip": "12345",
"initiator": "payor",
"method": "card"
},
"customerData": {
"customerId": 4440
},
"entryPoint": "8cfec329267",
"ipaddress": "255.255.255.255"
}'

The ACH payment method is used for ACH payments made with a bank account.

POST
/api/v2/MoneyIn/getpaid
curl -X POST https://api-sandbox.payabli.com/api/v2/MoneyIn/getpaid \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"paymentDetails": {
"totalAmount": 100,
"serviceFee": 0
},
"paymentMethod": {
"achAccount": "123123123",
"achAccountType": "Checking",
"achCode": "WEB",
"achHolder": "John Cassian",
"achHolderType": "personal",
"achRouting": "123123123",
"method": "ach"
},
"customerData": {
"customerId": 4440
},
"entryPoint": "8cfec329267",
"ipaddress": "255.255.255.255"
}'

The Stored Method payment method is used for payments made with stored methods, including a tokenized credit card, tokenized ACH account, or tokenized digital wallet.

POST
/api/v2/MoneyIn/getpaid
curl -X POST https://api-sandbox.payabli.com/api/v2/MoneyIn/getpaid \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"paymentDetails": {
"totalAmount": 100,
"serviceFee": 0
},
"paymentMethod": {
"initiator": "payor",
"method": "card",
"storedMethodId": "1ec55af9-7b5a-4ff0-81ed-c12d2f95e135-4440",
"storedMethodUsageType": "unscheduled"
},
"customerData": {
"customerId": 4440
},
"entryPoint": "8cfec329267",
"ipaddress": "255.255.255.255"
}'

To get a stored payment method for a digital wallet, you need to use the Express Checkout UI component. See Tokenize a payment method for more information on how to tokenize digital wallets with the Express Checkout component. See the Apple Pay overview and Google Pay™ overview docs for more information on Apple Pay and Google Pay.

The Cloud payment method is used for payments made with Cloud devices (payment terminals).

POST
/api/v2/MoneyIn/getpaid
curl -X POST https://api-sandbox.payabli.com/api/v2/MoneyIn/getpaid \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"paymentDetails": {
"totalAmount": 100,
"serviceFee": 0
},
"paymentMethod": {
"device": "6c361c7d-674c-44cc-b790-382b75d1xxx",
"method": "cloud"
},
"customerData": {
"customerId": 4440
},
"entryPoint": "8cfec329267",
"ipaddress": "255.255.255.255"
}'

The Device payment method is used for card-present payments made with a semi-integrated device (payment terminal).

POST
/api/v2/MoneyIn/getpaid
curl -X POST https://api-sandbox.payabli.com/api/v2/MoneyIn/getpaid \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"paymentDetails": {
"totalAmount": 100,
"serviceFee": 0
},
"paymentMethod": {
"device": "499585-389fj484-3jcj8hj3",
"method": "device",
"saveIfSuccess": true
},
"customerData": {
"customerId": 4440
},
"entryPoint": "8cfec329267",
"ipaddress": "255.255.255.255"
}'

Responses

The response from a successful transaction includes a standard response structure with details about the transaction. See Unified Response Codes for a complete list of possible responses.

Example card success response

Response
{
"code": "A0000",
"reason": "Approved",
"explanation": "Transaction approved",
"action": "No action required",
"data": {
"parentOrgName": "Riverside Pet Supply",
"paypointDbaname": "Riverside Pet Store",
"paypointLegalname": "Riverside Pet Store",
"paypointEntryname": "495147f647",
"paymentTransId": "3040-96dfa9a7c4ed4f82a3dd4a4a12ad28ae",
"connectorName": "gp",
"externalProcessorInformation": "",
"gatewayTransId": "TRN_Ih68D6UZdip7OEQ2QFXat1yQSLF2nB",
"orderId": null,
"method": "card",
"batchNumber": "3040_combined_20251201_3a50747d-6b5c-40ef-9f69-93a9cc7fcb49",
"batchAmount": 420,
"payorId": 4440,
"paymentData": {
"maskedAccount": "4XXXXXXXXXXX5439",
"accountType": "visa",
"accountExp": "12/25",
"holderName": "John Cassian",
"storedId": null,
"initiator": null,
"storedMethodUsageType": null,
"sequence": null,
"orderDescription": "",
"accountId": null,
"signatureData": null,
"binData": {
"binMatchedLength": "6",
"binCardBrand": "VISA",
"binCardType": "CREDIT",
"binCardCategory": "CLASSIC",
"binCardIssuer": "",
"binCardIssuerCountry": "RUSSIAN FEDERATION",
"binCardIssuerCountryCodeA2": "RU",
"binCardIssuerCountryNumber": "643",
"binCardIsRegulated": "",
"binCardUseCategory": "",
"binCardIssuerCountryCodeA3": ""
},
"paymentDetails": {
"totalAmount": 105,
"serviceFee": 5,
"checkNumber": null,
"checkUniqueId": "",
"currency": "USD",
"orderDescription": null,
"orderId": null,
"orderIdAlternative": null,
"paymentDescription": null,
"groupNumber": null,
"source": null,
"payabliTransId": null,
"categories": [],
"splitFunding": [],
"checkImage": null,
"unbundled": null
}
},
"transStatus": 1,
"paypointId": 3040,
"totalAmount": 105,
"netAmount": 100,
"feeAmount": 5,
"settlementStatus": 0,
"operation": "Sale",
"responseData": {
"resultCode": "A0000",
"resultCodeText": "Approved",
"response": null,
"responsetext": "CAPTURED",
"authcode": "AXS425",
"transactionid": "TRN_Xo4dpKfmx3OxSc9svd2ccI6OOnyB2I",
"avsresponse": "N",
"avsresponse_text": "No Match, No address or ZIP match",
"cvvresponse": "M",
"cvvresponse_text": "CVV2/CVC2 match",
"orderid": null,
"response_code": "100",
"response_code_text": "Operation successful",
"customer_vault_id": null,
"emv_auth_response_data": null,
"type": null
},
"source": "api",
"scheduleReference": 0,
"orgId": 123,
"refundId": 0,
"returnedId": 0,
"chargebackId": 0,
"retrievalId": 0,
"invoiceData": {
"invoiceNumber": null,
"invoiceDate": null,
"invoiceDueDate": null,
"invoiceEndDate": null,
"invoiceStatus": null,
"invoiceType": null,
"frequency": null,
"paymentTerms": null,
"termsConditions": null,
"notes": null,
"tax": null,
"discount": null,
"invoiceAmount": null,
"freightAmount": null,
"dutyAmount": null,
"purchaseOrder": null,
"firstName": null,
"lastName": null,
"company": null,
"shippingAddress1": null,
"shippingAddress2": null,
"shippingCity": null,
"shippingState": null,
"shippingZip": null,
"shippingCountry": null,
"shippingEmail": null,
"shippingPhone": null,
"shippingFromZip": null,
"summaryCommodityCode": null,
"items": null,
"attachments": null,
"additionalData": null
},
"entrypageId": 0,
"externalPaypointID": "",
"isValidatedACH": false,
"transactionTime": "2025-12-01T09:50:03.559",
"customer": {
"identifiers": null,
"firstName": "John",
"lastName": "Cassian",
"companyName": null,
"billingAddress1": "728 Larkspur Lane",
"billingAddress2": "",
"billingCity": "Asheville",
"billingState": "NC",
"billingZip": "28801",
"billingCountry": "US",
"billingPhone": "+18285550147",
"billingEmail": "john.cassian@example.com",
"customerNumber": "C-90010",
"shippingAddress1": "728 Larkspur Lane",
"shippingAddress2": "",
"shippingCity": "Asheville",
"shippingState": "NC",
"shippingZip": "28801",
"shippingCountry": "US",
"customerId": 4440,
"customerStatus": 0,
"additionalData": null
},
"splitFundingInstructions": null,
"cfeeTransactions": [
{
"cFeeTransid": "3040-96dfa9a7c4ed4f82a3dd4a4a12ad28ae",
"feeAmount": 5,
"operation": "Sale",
"refundId": 0,
"responseData": {},
"settlementStatus": 0,
"transactionTime": "2025-12-01T09:50:03.559",
"transStatus": 1
}
],
"transactionEvents": [
{
"transEvent": "Created",
"eventData": "0HNHD68HATSUC:00000001",
"eventTime": "2025-12-01T09:50:02.558651"
},
{
"transEvent": "Approved",
"eventData": "0HNHD68HATSUC:00000001",
"eventTime": "2025-12-01T09:50:03.609111"
}
],
"riskStatus": "PASSED",
"riskReason": "",
"riskAction": "",
"deviceId": "",
"achSecCode": "",
"achHolderType": "personal",
"ipAddress": "255.255.255.255",
"isSameDayACH": false,
"walletType": null,
"pendingFeeAmount": 0,
"riskFlagged": false,
"riskFlaggedOn": "2025-12-01T09:50:02.5474568",
"riskActionCode": 0,
"transAdditionalData": null
},
"token": null
}

Example ACH success response

Response
{
"code": "A0000",
"reason": "Approved",
"explanation": "Transaction approved",
"action": "No action required",
"data": {
"parentOrgName": "Mountain View Services",
"paypointDbaname": "Mountain View Auto",
"paypointLegalname": "Mountain View Automotive Services LLC",
"paypointEntryname": "31ae451b89",
"paymentTransId": "2145-7b8fa3c9d5e64f73b2ee5a6b14bd39cd",
"connectorName": "checkcommerce",
"externalProcessorInformation": "",
"gatewayTransId": "ACH_TRN_8K92D7VZexp8PFR3RGYbu2zRTMG3oC",
"orderId": null,
"method": "ach",
"batchNumber": "checkcommerce_2145_ach_12-01-2025",
"batchAmount": 525,
"payorId": 38267,
"paymentData": {
"maskedAccount": "XXXXX4532",
"accountType": "Checking",
"accountExp": null,
"holderName": "Sarah Martinez",
"storedId": null,
"initiator": null,
"storedMethodUsageType": null,
"sequence": null,
"orderDescription": "",
"accountId": null,
"signatureData": null,
"binData": null,
"paymentDetails": {
"totalAmount": 105,
"serviceFee": 5,
"checkNumber": null,
"checkUniqueId": "",
"currency": "USD",
"orderDescription": null,
"orderId": null,
"orderIdAlternative": null,
"paymentDescription": null,
"groupNumber": null,
"source": null,
"payabliTransId": null,
"categories": [],
"splitFunding": [],
"checkImage": null,
"unbundled": null
}
},
"transStatus": 1,
"paypointId": 3040,
"totalAmount": 105,
"netAmount": 100,
"feeAmount": 5,
"settlementStatus": 0,
"operation": "Sale",
"responseData": {
"resultCode": "A0000",
"resultCodeText": "Approved",
"response": null,
"responsetext": "CAPTURED",
"authcode": "AXS425",
"transactionid": "TRN_Xo4dpKfmx3OxSc9svd2ccI6OOnyB2I",
"avsresponse": "N",
"avsresponse_text": "No Match, No address or ZIP match",
"cvvresponse": "M",
"cvvresponse_text": "CVV2/CVC2 match",
"orderid": null,
"response_code": "100",
"response_code_text": "Operation successful",
"customer_vault_id": null,
"emv_auth_response_data": null,
"type": null
},
"source": "api",
"scheduleReference": 0,
"orgId": 123,
"refundId": 0,
"returnedId": 0,
"chargebackId": 0,
"retrievalId": 0,
"invoiceData": {
"invoiceNumber": null,
"invoiceDate": null,
"invoiceDueDate": null,
"invoiceEndDate": null,
"invoiceStatus": null,
"invoiceType": null,
"frequency": null,
"paymentTerms": null,
"termsConditions": null,
"notes": null,
"tax": null,
"discount": null,
"invoiceAmount": null,
"freightAmount": null,
"dutyAmount": null,
"purchaseOrder": null,
"firstName": null,
"lastName": null,
"company": null,
"shippingAddress1": null,
"shippingAddress2": null,
"shippingCity": null,
"shippingState": null,
"shippingZip": null,
"shippingCountry": null,
"shippingEmail": null,
"shippingPhone": null,
"shippingFromZip": null,
"summaryCommodityCode": null,
"items": null,
"attachments": null,
"additionalData": null
},
"entrypageId": 0,
"externalPaypointID": "",
"isValidatedACH": true,
"transactionTime": "2025-12-01T10:15:28.742",
"customer": {
"identifiers": null,
"firstName": "Sarah",
"lastName": "Martinez",
"companyName": "Martinez Consulting",
"billingAddress1": "456 Oak Avenue",
"billingAddress2": "Suite 201",
"billingCity": "Portland",
"billingState": "OR",
"billingZip": "97201",
"billingCountry": "US",
"billingPhone": "+15035551234",
"billingEmail": "sarah.martinez@example.com",
"customerNumber": "C-90010",
"shippingAddress1": "456 Oak Avenue",
"shippingAddress2": "Suite 201",
"shippingCity": "Portland",
"shippingState": "OR",
"shippingZip": "97201",
"shippingCountry": "US",
"customerId": 4440,
"customerStatus": 0,
"additionalData": null
},
"splitFundingInstructions": null,
"cfeeTransactions": [
{
"cFeeTransid": "2145-7b8fa3c9d5e64f73b2ee5a6b14bd39cd",
"feeAmount": 5,
"operation": "Sale",
"refundId": 0,
"responseData": {},
"settlementStatus": 0,
"transactionTime": "2025-12-01T10:15:28.742",
"transStatus": 1
}
],
"transactionEvents": [
{
"transEvent": "Created",
"eventData": "0HNHD69JBVWXP:00000001",
"eventTime": "2025-12-01T10:15:27.682442"
},
{
"transEvent": "Approved",
"eventData": "0HNHD69JBVWXP:00000001",
"eventTime": "2025-12-01T10:15:28.751283"
}
],
"riskStatus": "PASSED",
"riskReason": "",
"riskAction": "",
"deviceId": "",
"achSecCode": "WEB",
"achHolderType": "personal",
"ipAddress": "255.255.255.255",
"isSameDayACH": false,
"walletType": null,
"pendingFeeAmount": 0,
"riskFlagged": false,
"riskFlaggedOn": "2025-12-01T10:15:27.6712346",
"riskActionCode": 0,
"transAdditionalData": null
},
"token": null
}

Example Stored Method success response

Response
{
"code": "A0000",
"reason": "Approved",
"explanation": "Transaction approved",
"action": "No action required",
"data": {
"parentOrgName": "Riverside Pet Supply",
"paypointDbaname": "Riverside Pet Store",
"paypointLegalname": "Riverside Pet Store",
"paypointEntryname": "495147f647",
"paymentTransId": "3040-9708542b00354726ad8a6b0c65bc7a54",
"connectorName": "gp",
"externalProcessorInformation": "",
"gatewayTransId": "TRN_Xo4dpKfmx3OxSc9svd2ccI6OOnyB2I",
"orderId": null,
"method": "card",
"batchNumber": "3040_combined_20251201_3a50747d-6b5c-40ef-9f69-93a9cc7fcb49",
"batchAmount": 630,
"payorId": 4440,
"paymentData": {
"maskedAccount": "3XXXXXXXXXX0227",
"accountType": "amex",
"accountExp": "12/25",
"holderName": "John Cassian",
"storedId": "fb1f5ec2-1ba4-4ba6-9839-20c2cc4baf5a-4440",
"initiator": "merchant",
"storedMethodUsageType": "unscheduled",
"sequence": "subsequent",
"orderDescription": "",
"accountId": null,
"signatureData": null,
"binData": {
"binMatchedLength": "",
"binCardBrand": "",
"binCardType": "",
"binCardCategory": "",
"binCardIssuer": "",
"binCardIssuerCountry": "",
"binCardIssuerCountryCodeA2": "",
"binCardIssuerCountryNumber": "",
"binCardIsRegulated": "",
"binCardUseCategory": "",
"binCardIssuerCountryCodeA3": ""
},
"paymentDetails": {
"totalAmount": 105,
"serviceFee": 5,
"checkNumber": null,
"checkUniqueId": "",
"currency": "USD",
"orderDescription": null,
"orderId": null,
"orderIdAlternative": null,
"paymentDescription": null,
"groupNumber": null,
"source": null,
"payabliTransId": null,
"categories": [],
"splitFunding": [],
"checkImage": null,
"unbundled": null
}
},
"transStatus": 1,
"paypointId": 3040,
"totalAmount": 105,
"netAmount": 100,
"feeAmount": 5,
"settlementStatus": 0,
"operation": "Sale",
"responseData": {
"resultCode": "A0000",
"resultCodeText": "Approved",
"response": null,
"responsetext": "CAPTURED",
"authcode": "AXS425",
"transactionid": "TRN_Xo4dpKfmx3OxSc9svd2ccI6OOnyB2I",
"avsresponse": "N",
"avsresponse_text": "No Match, No address or ZIP match",
"cvvresponse": "M",
"cvvresponse_text": "CVV2/CVC2 match",
"orderid": null,
"response_code": "100",
"response_code_text": "Operation successful",
"customer_vault_id": null,
"emv_auth_response_data": null,
"type": null
},
"source": "api",
"scheduleReference": 0,
"orgId": 123,
"refundId": 0,
"returnedId": 0,
"chargebackId": 0,
"retrievalId": 0,
"invoiceData": {
"invoiceNumber": null,
"invoiceDate": null,
"invoiceDueDate": null,
"invoiceEndDate": null,
"invoiceStatus": null,
"invoiceType": null,
"frequency": null,
"paymentTerms": null,
"termsConditions": null,
"notes": null,
"tax": null,
"discount": null,
"invoiceAmount": null,
"freightAmount": null,
"dutyAmount": null,
"purchaseOrder": null,
"firstName": null,
"lastName": null,
"company": null,
"shippingAddress1": null,
"shippingAddress2": null,
"shippingCity": null,
"shippingState": null,
"shippingZip": null,
"shippingCountry": null,
"shippingEmail": null,
"shippingPhone": null,
"shippingFromZip": null,
"summaryCommodityCode": null,
"items": null,
"attachments": null,
"additionalData": null
},
"entrypageId": 0,
"externalPaypointID": "",
"isValidatedACH": false,
"transactionTime": "2025-12-01T09:56:33.967",
"customer": {
"identifiers": null,
"firstName": "John",
"lastName": "Cassian",
"companyName": null,
"billingAddress1": "728 Larkspur Lane",
"billingAddress2": "",
"billingCity": "Asheville",
"billingState": "NC",
"billingZip": "28801",
"billingCountry": "US",
"billingPhone": "+18285550147",
"billingEmail": "john.cassian@example.com",
"customerNumber": "C-90010",
"shippingAddress1": "728 Larkspur Lane",
"shippingAddress2": "",
"shippingCity": "Asheville",
"shippingState": "NC",
"shippingZip": "28801",
"shippingCountry": "US",
"customerId": 4440,
"customerStatus": 0,
"additionalData": null
},
"splitFundingInstructions": null,
"cfeeTransactions": [
{
"cFeeTransid": "3040-9708542b00354726ad8a6b0c65bc7a54",
"feeAmount": 5,
"operation": "Sale",
"refundId": 0,
"responseData": {},
"settlementStatus": 0,
"transactionTime": "2025-12-01T09:56:33.967",
"transStatus": 1
}
],
"transactionEvents": [
{
"transEvent": "Created",
"eventData": "0HNHD68HATSUR:00000004",
"eventTime": "2025-12-01T09:56:32.662988"
},
{
"transEvent": "Approved",
"eventData": "0HNHD68HATSUR:00000004",
"eventTime": "2025-12-01T09:56:34.027504"
}
],
"riskStatus": "PASSED",
"riskReason": "",
"riskAction": "",
"deviceId": "",
"achSecCode": "",
"achHolderType": "personal",
"ipAddress": "255.255.255.255",
"isSameDayACH": false,
"walletType": null,
"pendingFeeAmount": 0,
"riskFlagged": false,
"riskFlaggedOn": "2025-12-01T09:56:32.6525967",
"riskActionCode": 0,
"transAdditionalData": null
},
"token": null
}

Example Cloud success response

Response
{
"code": "A0000",
"reason": "Approved",
"explanation": "Transaction approved",
"action": "No action required",
"data": {
"parentOrgName": "Riverside Pet Supply",
"paypointDbaname": "Riverside Pet Store",
"paypointLegalname": "Riverside Pet Store",
"paypointEntryname": "495147f647",
"paymentTransId": "3040-96dfa9a7c4ed4f82a3dd4a4a12ad28ae",
"connectorName": "gp",
"externalProcessorInformation": "",
"gatewayTransId": "TRN_Ih68D6UZdip7OEQ2QFXat1yQSLF2nB",
"orderId": null,
"method": "card",
"batchNumber": "3040_combined_20251201_3a50747d-6b5c-40ef-9f69-93a9cc7fcb49",
"batchAmount": 420,
"payorId": 4440,
"paymentData": {
"maskedAccount": "4XXXXXXXXXXX5439",
"accountType": "visa",
"accountExp": "12/25",
"holderName": "John Cassian",
"storedId": null,
"initiator": null,
"storedMethodUsageType": null,
"sequence": null,
"orderDescription": "",
"accountId": null,
"signatureData": null,
"binData": {
"binMatchedLength": "6",
"binCardBrand": "VISA",
"binCardType": "CREDIT",
"binCardCategory": "CLASSIC",
"binCardIssuer": "",
"binCardIssuerCountry": "RUSSIAN FEDERATION",
"binCardIssuerCountryCodeA2": "RU",
"binCardIssuerCountryNumber": "643",
"binCardIsRegulated": "",
"binCardUseCategory": "",
"binCardIssuerCountryCodeA3": ""
},
"paymentDetails": {
"totalAmount": 105,
"serviceFee": 5,
"checkNumber": null,
"checkUniqueId": "",
"currency": "USD",
"orderDescription": null,
"orderId": null,
"orderIdAlternative": null,
"paymentDescription": null,
"groupNumber": null,
"source": null,
"payabliTransId": null,
"categories": [],
"splitFunding": [],
"checkImage": null,
"unbundled": null
}
},
"transStatus": 1,
"paypointId": 3040,
"totalAmount": 105,
"netAmount": 100,
"feeAmount": 5,
"settlementStatus": 0,
"operation": "Sale",
"responseData": {
"resultCode": "A0000",
"resultCodeText": "Approved",
"response": null,
"responsetext": "CAPTURED",
"authcode": "AXS425",
"transactionid": "TRN_Xo4dpKfmx3OxSc9svd2ccI6OOnyB2I",
"avsresponse": "N",
"avsresponse_text": "No Match, No address or ZIP match",
"cvvresponse": "M",
"cvvresponse_text": "CVV2/CVC2 match",
"orderid": null,
"response_code": "100",
"response_code_text": "Operation successful",
"customer_vault_id": null,
"emv_auth_response_data": null,
"type": null
},
"source": "api",
"scheduleReference": 0,
"orgId": 123,
"refundId": 0,
"returnedId": 0,
"chargebackId": 0,
"retrievalId": 0,
"invoiceData": {
"invoiceNumber": null,
"invoiceDate": null,
"invoiceDueDate": null,
"invoiceEndDate": null,
"invoiceStatus": null,
"invoiceType": null,
"frequency": null,
"paymentTerms": null,
"termsConditions": null,
"notes": null,
"tax": null,
"discount": null,
"invoiceAmount": null,
"freightAmount": null,
"dutyAmount": null,
"purchaseOrder": null,
"firstName": null,
"lastName": null,
"company": null,
"shippingAddress1": null,
"shippingAddress2": null,
"shippingCity": null,
"shippingState": null,
"shippingZip": null,
"shippingCountry": null,
"shippingEmail": null,
"shippingPhone": null,
"shippingFromZip": null,
"summaryCommodityCode": null,
"items": null,
"attachments": null,
"additionalData": null
},
"entrypageId": 0,
"externalPaypointID": "",
"isValidatedACH": false,
"transactionTime": "2025-12-01T09:50:03.559",
"customer": {
"identifiers": null,
"firstName": "John",
"lastName": "Cassian",
"companyName": null,
"billingAddress1": "728 Larkspur Lane",
"billingAddress2": "",
"billingCity": "Asheville",
"billingState": "NC",
"billingZip": "28801",
"billingCountry": "US",
"billingPhone": "+18285550147",
"billingEmail": "john.cassian@example.com",
"customerNumber": "C-90010",
"shippingAddress1": "728 Larkspur Lane",
"shippingAddress2": "",
"shippingCity": "Asheville",
"shippingState": "NC",
"shippingZip": "28801",
"shippingCountry": "US",
"customerId": 4440,
"customerStatus": 0,
"additionalData": null
},
"splitFundingInstructions": null,
"cfeeTransactions": [
{
"cFeeTransid": "3040-96dfa9a7c4ed4f82a3dd4a4a12ad28ae",
"feeAmount": 5,
"operation": "Sale",
"refundId": 0,
"responseData": {},
"settlementStatus": 0,
"transactionTime": "2025-12-01T09:50:03.559",
"transStatus": 1
}
],
"transactionEvents": [
{
"transEvent": "Created",
"eventData": "0HNHD68HATSUC:00000001",
"eventTime": "2025-12-01T09:50:02.558651"
},
{
"transEvent": "Approved",
"eventData": "0HNHD68HATSUC:00000001",
"eventTime": "2025-12-01T09:50:03.609111"
}
],
"riskStatus": "PASSED",
"riskReason": "",
"riskAction": "",
"deviceId": "",
"achSecCode": "",
"achHolderType": "personal",
"ipAddress": "255.255.255.255",
"isSameDayACH": false,
"walletType": null,
"pendingFeeAmount": 0,
"riskFlagged": false,
"riskFlaggedOn": "2025-12-01T09:50:02.5474568",
"riskActionCode": 0,
"transAdditionalData": null
},
"token": null
}

A device sale returns Initiated. The terminal prompts the cardholder to present their card, then you read the final result with Get transaction details.

Response
{
"code": "A0001",
"reason": "Initiated",
"explanation": "Transaction initiated",
"action": "No action required",
"data": {
"parentOrgName": "Riverside Pet Supply",
"paypointDbaname": "Riverside Pet Store",
"paypointLegalname": "Riverside Pet Store",
"paypointEntryname": "495147f647",
"paymentTransId": "3040-96dfa9a7c4ed4f82a3dd4a4a12ad28ae",
"connectorName": "FV",
"externalProcessorInformation": "",
"gatewayTransId": null,
"orderId": "",
"method": "device",
"batchNumber": "",
"batchAmount": 0,
"payorId": 4440,
"paymentData": {
"maskedAccount": null,
"accountType": null,
"accountExp": null,
"holderName": "",
"storedId": null,
"initiator": null,
"storedMethodUsageType": null,
"sequence": null,
"orderDescription": null,
"accountId": null,
"signatureData": null,
"binData": null,
"paymentDetails": {
"totalAmount": 100,
"serviceFee": 0,
"checkNumber": null,
"checkUniqueId": "",
"currency": "USD",
"orderDescription": null,
"orderId": null,
"orderIdAlternative": null,
"paymentDescription": "",
"groupNumber": null,
"source": null,
"payabliTransId": null,
"categories": [],
"splitFunding": [],
"checkImage": null,
"unbundled": null
}
},
"transStatus": 10,
"paypointId": 3040,
"totalAmount": 100,
"netAmount": 100,
"feeAmount": 0,
"settlementStatus": 0,
"operation": "Sale",
"responseData": {
"resultCode": "A0001",
"resultCodeText": "Initiated",
"response": null,
"responsetext": "Initiated",
"authcode": null,
"transactionid": null,
"avsresponse": null,
"avsresponse_text": null,
"cvvresponse": null,
"cvvresponse_text": null,
"orderid": null,
"response_code": "100",
"response_code_text": "Operation successful",
"customer_vault_id": null,
"emv_auth_response_data": null,
"type": null
},
"source": "api",
"scheduleReference": 0,
"orgId": 123,
"refundId": 0,
"returnedId": 0,
"chargebackId": 0,
"retrievalId": 0,
"invoiceData": {
"invoiceNumber": null,
"invoiceDate": null,
"invoiceDueDate": null,
"invoiceEndDate": null,
"invoiceStatus": null,
"invoiceType": null,
"frequency": null,
"paymentTerms": null,
"termsConditions": null,
"notes": null,
"tax": null,
"discount": null,
"invoiceAmount": null,
"freightAmount": null,
"dutyAmount": null,
"purchaseOrder": null,
"firstName": null,
"lastName": null,
"company": null,
"shippingAddress1": null,
"shippingAddress2": null,
"shippingCity": null,
"shippingState": null,
"shippingZip": null,
"shippingCountry": null,
"shippingEmail": null,
"shippingPhone": null,
"shippingFromZip": null,
"summaryCommodityCode": null,
"items": null,
"attachments": null,
"additionalData": null
},
"entrypageId": 0,
"externalPaypointID": "",
"isValidatedACH": false,
"transactionTime": "2025-12-01T09:50:03.559",
"customer": {
"identifiers": null,
"firstName": "John",
"lastName": "Cassian",
"companyName": null,
"billingAddress1": "728 Larkspur Lane",
"billingAddress2": "",
"billingCity": "Asheville",
"billingState": "NC",
"billingZip": "28801",
"billingCountry": "US",
"billingPhone": "+18285550147",
"billingEmail": "john.cassian@example.com",
"customerNumber": "C-90010",
"shippingAddress1": "728 Larkspur Lane",
"shippingAddress2": "",
"shippingCity": "Asheville",
"shippingState": "NC",
"shippingZip": "28801",
"shippingCountry": "US",
"customerId": 4440,
"customerStatus": 0,
"additionalData": null
},
"splitFundingInstructions": null,
"cfeeTransactions": [],
"transactionEvents": [
{
"transEvent": "Created",
"eventData": "0HNHD68HATSUC:00000001",
"eventTime": "2025-12-01T09:50:02.558651"
},
{
"transEvent": "Initiated",
"eventData": "0HNHD68HATSUC:00000001",
"eventTime": "2025-12-01T09:50:03.609111"
}
],
"riskStatus": "PASSED",
"riskReason": "",
"riskAction": "",
"deviceId": "499585-389fj484-3jcj8hj3",
"achSecCode": "",
"achHolderType": "personal",
"ipAddress": "255.255.255.255",
"isSameDayACH": false,
"walletType": null,
"pendingFeeAmount": 0,
"riskFlagged": false,
"riskFlaggedOn": "2025-12-01T09:50:02.5474568",
"riskActionCode": 0,
"transAdditionalData": null
},
"token": null
}

To see decline and error responses, see the Make a transaction reference.

Next steps

You can view transactions in the UI in the Payabli Portal, or you can get lists of transactions via the API for paypoints or organizations

See these related resources to help you get the most out of Payabli.